aboutsummaryrefslogtreecommitdiff
path: root/app/misc/wipe/wipe.build
diff options
context:
space:
mode:
Diffstat (limited to 'app/misc/wipe/wipe.build')
-rwxr-xr-xapp/misc/wipe/wipe.build112
1 files changed, 112 insertions, 0 deletions
diff --git a/app/misc/wipe/wipe.build b/app/misc/wipe/wipe.build
new file mode 100755
index 00000000..59c4e1ff
--- /dev/null
+++ b/app/misc/wipe/wipe.build
@@ -0,0 +1,112 @@
+#!/bin/bash
+#
+# build script for wipe
+# by rhatto at riseup.net
+# build it with slacktrack, example:
+#
+# ARCH=x86_64 slacktrack -jefkzp "wipe-2.2.0-x86_64-1rha.tgz" "./wipe.build"
+#
+
+CWD="`pwd`"
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+# default settings
+PACKAGE="wipe"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=2.2.0}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="bz2"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="http://easynews.dl.sourceforge.net/sourceforge/wipe/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+if [ ! -d "$SRC_DIR" ]; then
+ mkdir -p $SRC_DIR
+fi
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+fi
+
+TMP="$TMP/$PACKAGE"
+if [ ! -d "$TMP" ]; then
+ mkdir -p $TMP
+fi
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$SRC
+cd $PACKAGE-$VERSION
+
+if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
+ patch -p1 < $CWD/$PACKAGE-$VERSION.diff
+fi
+
+autoheader
+autoconf
+./configure --prefix=/usr --sysconfdir=/etc/$PACKAGE --libdir=$LIBDIR
+make || exit 32
+make install
+
+CWD="`pwd`"
+
+# strip --strip-unneeded /usr/bin/wipe
+
+mkdir /install
+cat << EOF > /install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+wipe: wipe (secure deletion of files from magnetic media)
+wipe:
+wipe: Wipe repeatedly writes special patterns to the file or files to be
+wipe: destroyed, using the fsync() call and/or the O_SYNC bit to force
+wipe: disk access, in order to lessen the chance of data recovery using
+wipe: techniques such as magnetic force microscopy.
+wipe:
+wipe:
+wipe:
+wipe:
+wipe:
+EOF
+
+# docs
+mv /usr/doc/$PACKAGE /usr/doc/$PACKAGE-$VERSION
+# mkdir -p /usr/doc/$PACKAGE-$VERSION
+
+# for file in CHANGES INSTALL LICENSE README TESTING TODO; do
+# cp $CWD/$file* /usr/doc/$PACKAGE-$VERSION/
+# done
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+